Appearance
Create Security Profile
Create a new security profile that defines a named set of permissions assignable to users or roles. Requires ADMIN permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
body.name* | string | The display name of the security profile |
body.permissions* | array | List of permission keys included in this profile |
body.description | string | An optional description of the security profile |
Return Value
The created security profile configuration.
Examples
bash
curl -X POST "https://app.wombat.software/api/{targetPath}/security-profile" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Form Manager", "permissions": ["MANAGE_FORM", "READ"]}'ENDPOINTS
post
/api/{targetPath}/security-profile